
QGIS Application - Feature request #8925

Saving label information/styles into an SLD File

2013-10-21 08:12 AM - Steve Campbell

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17597

Description

Hi

Can I put forward a feature request to enable SLD files created by QGIS to store label styles?

Thanks

Steve

Related issues:

Related to QGIS Application - Feature request # 3843: Rule based labeling Closed

Duplicated by QGIS Application - Feature request # 12294: Export labels to SL... Closed 2015-03-02

Associated revisions

Revision 59d8b18e - 2017-07-25 05:05 PM - Andrea Aime

Porting Raymond Nijssen FOSS4G 2016 labeling work onto latest version of master, with basic support for testing. fixes #8925

Revision 5cfed129 - 2017-07-26 11:38 AM - Andrea Aime

Ading all other labelling options supported by SLD. fixes #8925

Revision cf042dc5 - 2017-07-26 01:09 PM - Nyall Dawson

Merge pull request #4838 from aaime/textsymbolizer_sc

SLD label exports. fixes #8925

History

#1 - 2013-10-22 02:53 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

#2 - 2015-03-28 08:41 PM - Schalk Grobbelaar

What is the use of saving a style to SLD if you cannot even save the label - The label is part of the style and is a crucial component of styling maps.  This

issue is now over a year old.  When will someone start on this?  And while you guys pay attention to this also make it possible for labels to be stored per

rules, so, <se:TextSymbolizer> under <se:Rule> - See: #3843
#3 - 2015-03-31 04:48 AM - Giovanni Manghi

- Category set to Symbology

Schalk Grobbelaar wrote:

What is the use of saving a style to SLD if you cannot even save the label - The label is part of the style and is a crucial component of styling maps. 

This issue is now over a year old.  When will someone start on this?  And while you guys pay attention to this also make it possible for labels to be

stored per rules, so, <se:TextSymbolizer> under <se:Rule> - See: #3843

qgis development is mainly user-necessity driven, if this feature/aspect of sld symbology is a must for you organization you could consider supporting its

development. Cheers!

#4 - 2015-07-24 08:58 AM - Chris Garstin

Oh my, glaring oversight here.

I'd like to add my vote to this feature.  I'm using Qgis, and exporting my styles for use on Geoserver.  Would be very helpful if the SLD export feature was

completed.

#5 - 2015-12-06 03:34 PM - Richard Zijlstra

This is a nice issue where I'm working on now:

1. SLD from QGIS is not really compatible in Geoserver

2. Labels in SLD's are just a new feature.

So, first I want to focus on the export of the SLD from QGIS in to Geoserver.

#6 - 2016-06-22 01:39 AM - Richard Zijlstra

from the first of 1 july this summer I have time to work on this plugin. If you want to participate in development also, I can fork the code of the plugin on my

own Github. But ok... later I will dive in this. Purpose is to:

- define layers in QGIS

- export styling from QGIS in Geoserver

- Serve tiles from Geoserver in to CesiumJS for 3D

#7 - 2016-08-12 09:31 AM - Andrea Aime

Hi Richard, I'm also looking into this (and we'll probably discuss this ticket at the FOSS4G code sprint in Bonn). Not sure why you define export "a plugin",

shouldn't it be a core functionality included in the normal SLD export?

#8 - 2016-08-15 05:13 AM - Richard Zijlstra

At first this needs to be an issue to track on the QGIS project. Who can create this?

#9 - 2017-05-01 12:48 AM - Giovanni Manghi

2025-04-27 2/3



- Easy fix? set to No

#10 - 2017-07-23 12:38 PM - Richard Duivenvoorde

- Description updated

FYI: https://github.com/qgis/QGIS/pull/4838

#11 - 2017-07-26 01:09 PM - Andrea Aime

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|59d8b18ed8c53ab6fe21e7be306f66d8dc7d1a35.
